Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1252497 - [abrt] workrave: operator new(unsigned long)(): workrave killed by SIGSEGV
Summary: [abrt] workrave: operator new(unsigned long)(): workrave killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: workrave
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yaakov Selkowitz
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:49cd281041ade701972ba7a6ece...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-11 14:37 UTC by Joao Carlos Mendes Luis
Modified: 2016-03-09 20:11 UTC (History)
1 user (show)

Fixed In Version: workrave-1.10.10-1.fc23 workrave-1.10.10-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-03 20:25:13 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (114.73 KB, text/plain)
2015-08-11 14:37 UTC, Joao Carlos Mendes Luis
no flags Details
File: cgroup (191 bytes, text/plain)
2015-08-11 14:37 UTC, Joao Carlos Mendes Luis
no flags Details
File: core_backtrace (5.76 KB, text/plain)
2015-08-11 14:37 UTC, Joao Carlos Mendes Luis
no flags Details
File: dso_list (10.96 KB, text/plain)
2015-08-11 14:37 UTC, Joao Carlos Mendes Luis
no flags Details
File: environ (1.99 KB, text/plain)
2015-08-11 14:37 UTC, Joao Carlos Mendes Luis
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-11 14:37 UTC, Joao Carlos Mendes Luis
no flags Details
File: maps (58.75 KB, text/plain)
2015-08-11 14:37 UTC, Joao Carlos Mendes Luis
no flags Details
File: mountinfo (3.25 KB, text/plain)
2015-08-11 14:37 UTC, Joao Carlos Mendes Luis
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-11 14:37 UTC, Joao Carlos Mendes Luis
no flags Details
File: open_fds (636 bytes, text/plain)
2015-08-11 14:37 UTC, Joao Carlos Mendes Luis
no flags Details
File: proc_pid_status (991 bytes, text/plain)
2015-08-11 14:37 UTC, Joao Carlos Mendes Luis
no flags Details
File: var_log_messages (531 bytes, text/plain)
2015-08-11 14:37 UTC, Joao Carlos Mendes Luis
no flags Details

Description Joao Carlos Mendes Luis 2015-08-11 14:37:40 UTC
Version-Release number of selected component:
workrave-1.10-7.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        workrave --sm-client-id 27517ec85-ef63-4563-8e8e-e3eff7a7b17b
crash_function: operator new(unsigned long)
executable:     /usr/bin/workrave
global_pid:     1910
kernel:         4.0.4-301.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            40024

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 operator new(unsigned long) at ../../../../libstdc++-v3/libsupc++/new_op.cc:50
 #3 std::string::_Rep::_S_create(unsigned long, unsigned long, std::allocator<char> const&) at /usr/src/debug/gcc-5.1.1-20150618/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/ext/new_allocator.h:104
 #5 std::string::_Rep::_M_clone(std::allocator<char> const&, unsigned long) at /usr/src/debug/gcc-5.1.1-20150618/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc:1073
 #6 std::string::reserve(unsigned long) at /usr/src/debug/gcc-5.1.1-20150618/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc:954
 #7 std::basic_stringbuf<char, std::char_traits<char>, std::allocator<char> >::overflow(int) at /usr/src/debug/gcc-5.1.1-20150618/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/sstream.tcc:114
 #8 std::basic_streambuf<char, std::char_traits<char> >::xsputn(char const*, long) at /usr/src/debug/gcc-5.1.1-20150618/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/streambuf.tcc:98
 #9 std::__ostream_insert<char, std::char_traits<char> >(std::basic_ostream<char, std::char_traits<char> >&, char const*, long) at /usr/src/debug/gcc-5.1.1-20150618/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/streambuf:451
 #12 Statistics::save_day(Statistics::DailyStatsImpl*) at /usr/include/c++/4.9.1/bits/basic_string.h:2777
 #14 Statistics::update() at Statistics.cc:133
 #15 Statistics::~Statistics() at Statistics.cc:69

Comment 1 Joao Carlos Mendes Luis 2015-08-11 14:37:44 UTC
Created attachment 1061539 [details]
File: backtrace

Comment 2 Joao Carlos Mendes Luis 2015-08-11 14:37:45 UTC
Created attachment 1061540 [details]
File: cgroup

Comment 3 Joao Carlos Mendes Luis 2015-08-11 14:37:46 UTC
Created attachment 1061541 [details]
File: core_backtrace

Comment 4 Joao Carlos Mendes Luis 2015-08-11 14:37:48 UTC
Created attachment 1061542 [details]
File: dso_list

Comment 5 Joao Carlos Mendes Luis 2015-08-11 14:37:49 UTC
Created attachment 1061543 [details]
File: environ

Comment 6 Joao Carlos Mendes Luis 2015-08-11 14:37:50 UTC
Created attachment 1061544 [details]
File: limits

Comment 7 Joao Carlos Mendes Luis 2015-08-11 14:37:52 UTC
Created attachment 1061545 [details]
File: maps

Comment 8 Joao Carlos Mendes Luis 2015-08-11 14:37:53 UTC
Created attachment 1061546 [details]
File: mountinfo

Comment 9 Joao Carlos Mendes Luis 2015-08-11 14:37:54 UTC
Created attachment 1061547 [details]
File: namespaces

Comment 10 Joao Carlos Mendes Luis 2015-08-11 14:37:55 UTC
Created attachment 1061548 [details]
File: open_fds

Comment 11 Joao Carlos Mendes Luis 2015-08-11 14:37:56 UTC
Created attachment 1061549 [details]
File: proc_pid_status

Comment 12 Joao Carlos Mendes Luis 2015-08-11 14:37:57 UTC
Created attachment 1061550 [details]
File: var_log_messages

Comment 13 Fedora Admin XMLRPC Client 2015-12-26 12:05:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora Admin XMLRPC Client 2015-12-28 18:27:03 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Fedora Update System 2016-02-26 22:15:51 UTC
workrave-1.10.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-512f1582a3

Comment 16 Fedora Update System 2016-02-26 22:16:29 UTC
workrave-1.10.10-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a5ec37671

Comment 17 Fedora Update System 2016-02-28 13:53:35 UTC
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a5ec37671

Comment 18 Fedora Update System 2016-02-28 13:55:26 UTC
workrave-1.10.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-512f1582a3

Comment 19 Fedora Update System 2016-03-03 20:24:33 UTC
workrave-1.10.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-03-09 16:21:38 UTC
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-03-09 18:46:19 UTC
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-03-09 20:11:52 UTC
workrave-1.10.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.